Dr. Jasso started by recalling by recalling \cref{14:primelid}, \cref{14:primetoid} and \cref{14:idtoprime} from the previous lecture.

\begin{lem} \label{15:primeirr}
  Let $R$ be a principal ideal domain.
  \begin{enumerate}
    \item Let $I\neq 0$ be an ideal. Then $I$ is prime if and only if $I$ is maximal.
    \item Let $a\in R\setminus \{0\}$. Then $a$ is prime if and only if $a$ is irreducible.
  \end{enumerate}
\end{lem}
\begin{proof}
  \begin{enumerate}
    \item Maximal ideals are always prime, by \cref{13:prime}. By \cref{14:primelid} ii), the converse direction follows.
    \item This follows from \cref{14:primelid} and i).
  \end{enumerate}
\end{proof}
 \begin{defn} A ring $R$ is a \toidx{euclidean domain}(\text{euklidsch}), if
 \begin{enumerate}
   \item $R$ is an integral domain.
   \item There is a map $\deg:R\setminus \{0\}\to \nn$, such that for all $a,b\in R$ with $b\neq 0$, $b\divd a$ or there is a $r\in R$, such that $\deg r < \deg a$ and $a = qb +r$. For $r=0$, we set $\deg r  = \infty$.
 \end{enumerate}
 \end{defn}
\begin{bsp}
  \begin{enumerate}
    \item $R = \zz$ is euclidean by setting $\deg n := \abs{n}$.
    \item
  \end{enumerate}
\end{bsp}

\begin{nbsp}
  Let $K$ be a field. Is $K$ euclidean?
\end{nbsp}

\begin{thm}
  Let $R$ be an euclidean domain. Then $R$ is a principal ideal domain.
\end{thm}
\begin{proof}
  Let $I\sse R$ be an ideal. If $I=0$, then $I=(0)$.\par
  Assume $I\neq 0$. Let $0\neq x\in I$ be an element of minimal degree, i.e. $\deg x \leq \deg y$ for all $0\neq y\in I$. Then $(x)\sse I$. Furthermore, for any $0\neq y\in I$, there are $q,r\in R$ such that
  $x = qy +r$ with $\deg r < \deg x$. So $r = y - qx\in Y$, so by the minimality of the degree of $x$, $r= 0$ follows, so $y\divd x$, and hence $I \sse (x)$.
\end{proof}

\begin{bsp}
  The ring $\zz$ is euclidean and a principal ideal domain. Is $\zz[X]$ euclidean or a principal ideal domain?
\end{bsp}

\begin{ndefn}
  A ring $R$ is noetherian if for every \emph{ascending chain} of ideals \index{ascending chain condition}
  \[
  I_1 \sse I_2 \sse I_3 \sse \hdots
  \]
  there is a $n\in \nn$, such that the chain becomes stationary at $n$, i.e. $I_n = I_{n+1}=\hdots$.
\end{ndefn}
\begin{nprop}
  Let $R$ be a principal ideal domain. Then $R$ is noetherian.
\end{nprop}
\begin{proof}
  Any ascending chain in $R$ is of the form
  \[
  (a_0)\sse (a_1)\sse (a_2)\sse \hdots
  \]
  as $R$ is a principal ideal domain. Consider now
  \[
  I:= \bigcup^{\infty}_{i = 0} (a_i).
  \]
  Then $I$ is an ideal, and hence generated by an element $b\in R$, i.e. $I = (b)$. By definition of $I$, there is a $n\in \nn$, such that $b \in (a_n)$. But as $I\sse (a_n)\sse (a_{n+1})\sse \hdots$ and (by defintion) $(a_n)\sse (a_{n+1})\sse \hdots \sse I$.
\end{proof}

\begin{thm}
  Let $R$ be a principal ideal domain. Then $R$ is factorial.
\end{thm}
\begin{proof}
  \begin{itemize}
    \item Existence: Assume that there is a $0\neq a\in R$ such that $a$ has no decomposition into irreducibles. So in particular, $a$ is not irreducible. Hence there are $a_1,b_1\in R\setminus\unts{R}$ with $a_1,b_1\neq 0$ and $a = a_1b_1$. As $a$ has no decomposition into irreducibles, $a_1$ or $b_1$ don't have either. We can assume that $a_1$ does not have a decomposition (the case for $b_1$ works analogous). As $a = a_1b_1$, we have $(a)\sse (a_1)$. Assume $(a) = (a_1)$.
    Then there is a $c\in R$ such that $a_1 = ac$. Hence
    \[
    a = a_1b_1 = (ac)b_1 \implies cb_1 = 1 \implies b_1 \in \unts{R}
    \]
    which contradicts the assumption of $a$ being not irreducible. By induction, we can construct an ascending chain
    \[
    (a) \ssne (a_1)\ssne (a_2)\ssne \hdots.
    \]
    But this is not possible, as $R$ is noetherian.
    \item Uniqueness: This is analogous to the proof in LA II (13.10). Let
    \[
    a = e_1p_1\hdots p_m = f q_1\hdots q_n,
    \]
    with $e,f\in \unts{R}$...
  \end{itemize}
\end{proof}

 \begin{cor}
   The rings $\zz,K[X]$ are factorial.
 \end{cor}
 \begin{cor}
   Let $K$ be a field. Then
   \begin{align*}
    \spec(K[X]) &= \maxspec(K[X])\\
    &= \{ (f)\ssp f\in K[X]\text{ irreducible}\}.
    \end{align*}
    The same holds for $\zz$ if we replace \glqq irreducible\grqq{} by prime.
 \end{cor}
 \begin{proof}
   As $K[X]$ is factorial, the claim follows from \cref{15:primeirr} and \cref{14:primlid}.
 \end{proof}
\lec
\begin{cor}
  For $n\in \zz$, the following are equivalent:
  \begin{enumerate}
    \item $\zz/n\zz$ is a field.
    \item $n$ is prime.
  \end{enumerate}
\end{cor}
\begin{lem}
  Let $f,g\in K[X]$ be polynomials, where $K$ denotes a field. Let $h\in K[X]$ be a monic polynomial. Then the following are equivalent:
  \begin{enumerate}
    \item $(h) = (f) + (g)$.
    \item $\gcd(f,g)=h$
  \end{enumerate}
\end{lem}
\begin{proof}
  i) $\implies$ ii): As $(f)+(g)\sse (h)$, there are $f',g'\in K[X]$ such that $f = f'h$ and $g = g'h$. Hence $h\divd f,h\divd g$. Now let $e\in K[X]\setminus \{0\}$ with $e\divd f$ and $e\divd g$. As $(h)\sse (f)+(g)$, there are $d_1,d_2\in K[X]$ such that $h=d_1f+d_2g$. Hence
  \[
  h = d_1 f + d_2 g = d_1 (ef'') + d_2 (eg'') = e(d_1f''+d_2g''),
  \]
  hence $e\divd h$.\par
  ii) $\implies$ i): Assume $h=\gcd(f,g)$. Then there are $f_0,g_0\in K[X]$ such that $f = f_0h$ and $g = g_0 h$.Hence $(f)+(g)\sse (h)$. Furthermore, by Bézout, there are $c_1,c_2\in K[X]$ such that
  $h = c_1f + c_2g$, hence $h\in (f)+(g)$, and so $(h)\sse (f)+(g)$.
\end{proof}
\begin{cor}
  Let $L/K$ be a field extension. Let $f,g\in K[X]\setminus \{0\}$. Then the greatest common divisor of $f,g\in K[X]$ is the same as the greatest common divisor of $f,g\in L[X]$.
\end{cor}
\lec
